Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QWSMouseHandler Class Reference

The QWSMouseHandler class is a mouse driver for Qt/Embedded. More...

`#include <qmouse_qws.h>`

List of all member functions.

## Public Members

- QWSMouseHandler ( const QString & driver = QString::null, const QString & device = QString::null )
- virtual ~QWSMouseHandler ()
- virtual void clearCalibration ()
- virtual void calibrate ( QWSPointerCalibrationData * )
- void limitToScreen ( QPoint & pt )
- void mouseChanged ( const QPoint & pos, int bstate )
- const QPoint & pos () const

## Detailed Description

The QWSMouseHandler class is a mouse driver for Qt/Embedded.

The mouse driver handles events from system devices and generates mouse events.

A QWSMouseHandler will usually open some system device in its constructor, create a QSocketNotifier on that opened device and when it receives data, it will call mouseChanged() to send the event to Qt/Embedded for relaying to clients.

See also Qt/Embedded.

## Member Function Documentation

### QWSMouseHandler::QWSMouseHandler ( const QString & driver = QString::null, const QString & device = QString::null )

Constructs a mouse handler. This becomes the primary mouse handler.

Note that once created, mouse handlers are controlled by the system and should not be deleted.

The driver and device arguments are not used by this base class.

### QWSMouseHandler::~QWSMouseHandler ()`[virtual]`

Destroys the mouse handler. You should not call this directly.

### void QWSMouseHandler::calibrate ( QWSPointerCalibrationData * )`[virtual]`

This method is reimplemented in the calibrated mouse handler to set calibration information (from, for instance, the Qtopia calibration screen). This version does nothing.

### void QWSMouseHandler::clearCalibration ()`[virtual]`

This method is reimplemented in the calibrated mouse handler to clear calibration information. This version does nothing.

### void QWSMouseHandler::limitToScreen ( QPoint & pt )

Ensures that the given point, pt is within the screen's boundaries, changing pt if necessary.

### void QWSMouseHandler::mouseChanged ( const QPoint & pos, int bstate )

When a mouse event occurs this function is called with the mouse's position in pos, and the state of its buttons in bstate.

### const QPoint & QWSMouseHandler::pos () const

Returns the mouse position.

This file is part of the Qt toolkit. Copyright © 1995-2005 Trolltech. All Rights Reserved.